using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using Syncfusion.Windows.Forms;
using Syncfusion.Windows.Forms.Tools;
using Syncfusion.Windows.Forms.Tools.XPMenus;


namespace controlbar_test
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private System.ComponentModel.IContainer components;
		private Syncfusion.Windows.Forms.Tools.CommandBarController commandBarController1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.MainFrameBarManager mainFrameBarManager1;
		private ControlBar ctlbar1, ctlbar2;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem2;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem2;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem3;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem4;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem5;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem6;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem7;
		private Syncfusion.Windows.Forms.Tools.XPMenus.Bar bar1;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			this.ctlbar1 = new ControlBar();
			this.ctlbar1.Text = "CommandBarController's ControlBar";

			this.ctlbar2 = new ControlBar();
			this.ctlbar2.Text = "MainFrameBarManager's ControlBar";
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Form1));
			this.commandBarController1 = new Syncfusion.Windows.Forms.Tools.CommandBarController(this.components);
			this.mainFrameBarManager1 = new Syncfusion.Windows.Forms.Tools.XPMenus.MainFrameBarManager(this.components, this);
			this.bar1 = new Syncfusion.Windows.Forms.Tools.XPMenus.Bar(this.mainFrameBarManager1, "mainmenu");
			this.parentBarItem1 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
			this.barItem1 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
			this.barItem2 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
			this.barItem3 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
			this.barItem4 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
			this.parentBarItem2 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
			this.barItem5 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
			this.barItem6 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
			this.barItem7 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
			((System.ComponentModel.ISupportInitialize)(this.commandBarController1)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.mainFrameBarManager1)).BeginInit();
			// 
			// commandBarController1
			// 
			this.commandBarController1.HostForm = this;
			this.commandBarController1.ThemesEnabled = true;
			// 
			// mainFrameBarManager1
			// 
			this.mainFrameBarManager1.BarPositionInfo = ((System.IO.MemoryStream)(resources.GetObject("mainFrameBarManager1.BarPositionInfo")));
			this.mainFrameBarManager1.Bars.Add(this.bar1);
			this.mainFrameBarManager1.Categories.Add("mainmenu");
			this.mainFrameBarManager1.CurrentBaseFormType = "";
			this.mainFrameBarManager1.Form = this;
			this.mainFrameBarManager1.ImageList = null;
			this.mainFrameBarManager1.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
																											  this.barItem5,
																											  this.barItem6,
																											  this.barItem7});
			this.mainFrameBarManager1.LargeImageList = null;
			this.mainFrameBarManager1.ResetCustomization = false;
			this.mainFrameBarManager1.ThemesEnabled = true;
			// 
			// bar1
			// 
			this.bar1.BarName = "mainmenu";
			this.bar1.BarStyle = (((Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.AllowQuickCustomizing | Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.IsMainMenu) 
				| Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.RotateWhenVertical) 
				| Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.DrawDragBorder);
			this.bar1.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
																							  this.barItem5,
																							  this.barItem6,
																							  this.barItem7});
			this.bar1.Manager = this.mainFrameBarManager1;
			// 
			// parentBarItem1
			// 
			this.parentBarItem1.CategoryIndex = 0;
			this.parentBarItem1.ID = "ControlBar1Menu";
			this.parentBarItem1.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
																										this.barItem1,
																										this.barItem2,
																										this.barItem3,
																										this.barItem4});
			this.parentBarItem1.Text = "ControlBar1Menu";
			// 
			// barItem1
			// 
			this.barItem1.CategoryIndex = 0;
			this.barItem1.ID = "Top";
			this.barItem1.Text = "Top";
			// 
			// barItem2
			// 
			this.barItem2.CategoryIndex = 0;
			this.barItem2.ID = "Bottom";
			this.barItem2.Text = "Bottom";
			// 
			// barItem3
			// 
			this.barItem3.CategoryIndex = 0;
			this.barItem3.ID = "Left";
			this.barItem3.Text = "Left";
			// 
			// barItem4
			// 
			this.barItem4.CategoryIndex = 0;
			this.barItem4.ID = "Right";
			this.barItem4.Text = "Right";
			// 
			// parentBarItem2
			// 
			this.parentBarItem2.CategoryIndex = 0;
			this.parentBarItem2.ID = "ControlBar2Menu";
			this.parentBarItem2.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
																										this.barItem1,
																										this.barItem2,
																										this.barItem3,
																										this.barItem4});
			this.parentBarItem2.Text = "ControlBar2Menu";
			// 
			// barItem5
			// 
			this.barItem5.CategoryIndex = 0;
			this.barItem5.ID = "Item1";
			this.barItem5.Text = "Item1";
			// 
			// barItem6
			// 
			this.barItem6.CategoryIndex = 0;
			this.barItem6.ID = "Item2";
			this.barItem6.Text = "Item2";
			// 
			// barItem7
			// 
			this.barItem7.CategoryIndex = 0;
			this.barItem7.ID = "Item3";
			this.barItem7.Text = "Item3";
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.BackColor = System.Drawing.SystemColors.Desktop;
			this.ClientSize = new System.Drawing.Size(440, 342);
			this.Name = "Form1";
			this.Text = "Form1";
			this.Load += new System.EventHandler(this.Form1_Load);
			((System.ComponentModel.ISupportInitialize)(this.commandBarController1)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.mainFrameBarManager1)).EndInit();

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
			this.ctlbar1.DockState = CommandBarDockState.Left;
			this.commandBarController1.CommandBars.Add(this.ctlbar1);

			this.ctlbar2.DockState = CommandBarDockState.Right;
			this.commandBarController1.CommandBars.Add(this.ctlbar2);
		}	
		
	}
}
